#
# spec file for package octave-forge-financial
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define octpkg  financial
Name:           octave-forge-%{octpkg}
Version:        0.5.3
Release:        2.1
Summary:        Financial instruments for Octave
License:        GPL-3.0-or-later
Group:          Productivity/Scientific/Math
URL:            http://octave.sourceforge.net
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM financial-elem-by-elem-arithmetic.patch badshah400@gmail.com -- Arithmetic operations like `+` and `-` are now elem-by-elem by default and the corresponding `.+` and `.-` ops no longer exist.
Patch0:         financial-elem-by-elem-arithmetic.patch
BuildArch:      noarch
BuildRequires:  octave-devel
Requires:       octave-cli >= 4.0.0
Requires:       octave-forge-io >= 1.0.18

%description
Financial manipulation, plotting functions and additional date manipulation tools.
This is part of Octave-Forge project.

%prep
%autosetup -p1 -c %{name}-%{version}
%octave_pkg_src

%build
%octave_pkg_build

%install
%octave_pkg_install

%check
%octave_pkg_test

%post
%octave --eval "pkg rebuild"

%postun
%octave --eval "pkg rebuild"

%files
%defattr(-,root,root)
%{octpackages_dir}/%{octpkg}-%{version}

%changelog
* Fri Nov 15 2024 Atri Bhattacharya <badshah400@gmail.com>
- Add financial-elem-by-elem-arithmetic.patch -- Arithmetic
  operations like `+` and `-` are now elem-by-elem by default and
  the corresponding `.+` and `.-` ops no longer exist.
* Wed Nov 21 2018 badshah400@gmail.com
- Update to version 0.5.3:
  * Due to Google retiring the option to download financial data,
    the `fetch` function has been removed entirely.
* Wed Jul 18 2018 badshah400@gmail.com
- Update to version 0.5.1:
  * The following functions are new: candle
  * A bug in the `fetch` function that broke retrieving
    financial data from Google is now fixed.
  * Due to Yahoo retiring the option to download financial
    data, Yahoo support in the `fetch` function has now been
    removed.
* Wed Feb  3 2016 dmitry_r@opensuse.org
- Update to version 0.5.0
  * The following classes for Monte Carlo methods are new:
    @sde, @drift, @diffusion
  * The following functions are new:
    inprice, blkimpv, blkprice, blsdelta, blsgamma, blsimpv,
    blslambda, blsprice, blsrho, blstheta, blsvega, bm, cev, cir
    gbm, heston, hwv, macd, opprofit, renko, sdeddo, sdeld, sdemrd,
    weeknum
  * Minor changes and bugfixes
* Thu Feb 26 2015 dmitry_r@opensuse.org
- Split from octave-forge package, version 0.4.0
